#include "stm32f1xx.h"
#include "i2c.h"
#include "uart.h"
#include "stdio.h"

uint8_t seconds;

int bcd_to_decimal(unsigned char x) {
    return x - 6 * (x >> 4);
}



int main(void)
{
	uart2_init();
	i2c_init();
	i2c1_scan_bus();
	while(1)
	{
		i2c1_readMemoryByte(0x68,0x00,&seconds);
		seconds=bcd_to_decimal(seconds);

		if(seconds==5){i2c1_MemoryWrite_Byte(0x68,0x00,00);}

		printf("Register 0x00 value is %d \r\n", seconds);
		for (int i=0;i<100000;i++);
	}
}
